package entities;

import java.io.Serializable;
import javax.persistence.ColumnResult;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedNativeQuery;
import javax.persistence.SqlResultSetMapping;

@Entity
@NamedNativeQuery(name="TrialQuery", 
query="Select m.projectsAxed from EntityWithSRSM m",
resultSetMapping="SRSMapping")

@SqlResultSetMapping(name="SRSMapping", 
    columns={
    @ColumnResult(name="projectsAxed")
})

public class EntityWithSRSM implements Serializable {
    
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;
    
    private String projectsAxed;
    
    public EntityWithSRSM() {
    }
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public int hashCode() {
        int hash = 0;
        hash += (this.getId() != null ? this.getId().hashCode() : 0);
        return hash;
    }
    
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof EntityWithSRSM)) {
            return false;
        }
        EntityWithSRSM other = (EntityWithSRSM)object;
        if (this.getId() != other.getId() && (this.getId() == null || !this.getId().equals(other.getId()))) return false;
        return true;
    }
    
    public String toString() {
        return "entities.OverrideByEntity[id=" + getId() + "]";
    }
    
    public String getProjectsAxed() {
        return projectsAxed;
    }
    
    public void setProjectsAxed(String projectsAxed) {
        this.projectsAxed = projectsAxed;
    }
    
}
