package tests;

import entities.EntityWithSRSM;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

public class TestSRSM {
    
    protected EntityManagerFactory emf;
    private String testID;
    
    public TestSRSM() {
    }
    
    public void test() {
        try {
            emf = Persistence.createEntityManagerFactory("sql-result-set-mapping");
            persistSomeEntities();
            assertSRSMWorks();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    private void persistSomeEntities() {
        EntityManager em = emf.createEntityManager();
        EntityTransaction tx = em.getTransaction();
        
        EntityWithSRSM axed1 = new EntityWithSRSM();
        axed1.setProjectsAxed("true");
        EntityWithSRSM axed2 = new EntityWithSRSM();
        axed2.setProjectsAxed("true");
        EntityWithSRSM retainedProject = new EntityWithSRSM();
        retainedProject.setProjectsAxed("false");
        
        tx.begin();
        em.persist(axed1);
        em.persist(axed2);
        em.persist(retainedProject);
        tx.commit();
    }
    
    private void assertSRSMWorks() {
        EntityManager em = emf.createEntityManager();

        List result = em.createNamedQuery("TrialQuery").getResultList();
        
        for (Object resultElement : result) {
            String projectAxed = (String) resultElement;
            System.out.println("project Axed - " + projectAxed);
        }
                
    }
    
}
